Package wx :: Class instancemethod

[frames | no frames]

## Type instancemethod

    object --+
             |
            instancemethod

instancemethod(function, instance, class)

Create an instance method object.

Method Summary
| `__call__(x, ...)` Return x(...)...
| `__cmp__(x, y)` Return cmp(x,y)...
| ``__delattr__`(...)` x.__delattr__('name') <==> del x.name
| `__get__(descr, obj, type)` Return value...
| ``__getattribute__`(...)` x.__getattribute__('name') <==> x.name
| `__hash__(x)` Return hash(x)...
| `__new__(T, S, ...)` Return a new object with type S, a subtype of T...
| `__repr__(x)` Return repr(x)...
| ``__setattr__`(...)` x.__setattr__('name', value) <==> x.name = value

Class Variable Summary
`member_descriptor` | `im_class` = `<member 'im_class' of 'instancemethod' object...`
`member_descriptor` | `im_func` = `<member 'im_func' of 'instancemethod' objects>`
`member_descriptor` | `im_self` = `<member 'im_self' of 'instancemethod' objects>`

Method Details

### __delattr__(...)

x.__delattr__('name') <==> del x.name

  Overrides:
    `__builtin__.object.__delattr__`

### __getattribute__(...)

x.__getattribute__('name') <==> x.name

  Overrides:
    `__builtin__.object.__getattribute__`

### __setattr__(...)

x.__setattr__('name', value) <==> x.name = value

  Overrides:
    `__builtin__.object.__setattr__`

Class Variable Details

### im_class

  Type:
    `member_descriptor`
  Value:

        <member 'im_class' of 'instancemethod' objects>

### im_func

  Type:
    `member_descriptor`
  Value:

        <member 'im_func' of 'instancemethod' objects>

### im_self

  Type:
    `member_descriptor`
  Value:

        <member 'im_self' of 'instancemethod' objects>

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:48 2007 | http://epydoc.sf.net